main {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.introduction {
    height: 60dvh;
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    min-height: max-content;
    position: relative;
}

.introduction p {
    max-width: 35em;
    font-size: 1.2em;
    backdrop-filter: blur(6px);
}

h1 {
    font-size: 5em;
    font-weight: 800;
}

.name {
    color: var(--color-blue);
    animation-name: name;
    animation-duration: 1.6s;
    animation-timing-function: steps(1, end);
    ;
}

.introduction .hexParticle {
    fill: var(--color-blue);
    position: absolute;
    z-index: -1;
    width: 1em;
    left: 50%;
    display: none;
    filter: blur(1px);
}

.introduction div {
    overflow-x: hidden;
}

@keyframes name {
    0% {
        color: var(--color-blue);
    }

    3% {
        color: rgb(255, 141, 141);
    }

    6% {
        color: rgb(88, 174, 255);
    }

    11% {
        color: #ffcc5f;
    }

    17% {
        color: #ff75f1;
    }

    25% {
        color: #53b4ec;
    }

    36% {
        color: #ff788f;
    }

    50% {
        color: #78beff;
    }

    66% {
        color: #ffc778;
    }

    80% {
        color: #ff75f1;
    }

    100% {
        color: var(--color-blue);
    }
}

main a {
    margin-bottom: 8em;
}

section.item {
    width: 95dvw;
    max-width: 80em;
    background-color: var(--color-background);
    padding: 1.5em;
    position: relative;
    transition-duration: 0.5s;
    height: max-content;
    min-height: 15em;
    border: 4px rgba(249, 52, 98, 0.4) solid;
    border-radius: var(--border-radius);
}

@supports (corner-shape: bevel) {
    section.item {
        corner-shape: bevel;
    }
}

section.item:hover {
    border: 4px rgba(249, 52, 98, 1) solid;
    background-color: rgba(249, 52, 98, 0.2);
}

section.item h2 {
    font-size: 2em;
    font-weight: 700;
    margin: 0;
    padding: 0;
}

section.item p {
    width: 35em;
    max-width: 50%;
}

.moreTags {
    display: flex;
    gap: 0.5em;
    flex-wrap: wrap;
    max-width: 100%;
}

p.tagDev {
    background-color: rgb(113, 186, 255);
    border-radius: 5em;
    padding: 0.2em;
    padding-left: 0.6em;
    padding-right: 0.6em;
    color: black;
    width: max-content !important;
    height: max-content !important;
}

p.tagUxUi {
    background-color: rgb(255, 166, 166);
    border-radius: 5em;
    padding: 0.2em;
    padding-left: 0.6em;
    padding-right: 0.6em;
    color: black;

    width: max-content !important;
    height: max-content !important;

}

p.tagUi {
    background-color: rgb(219, 162, 255);
    border-radius: 5em;
    padding: 0.2em;
    padding-left: 0.6em;
    padding-right: 0.6em;
    color: black;

    width: max-content !important;
    height: max-content !important;
}

p.tagUxProduct {
    background-color: rgb(255, 198, 162);
    border-radius: 5em;
    padding: 0.2em;
    padding-left: 0.6em;
    padding-right: 0.6em;
    color: black;
    width: max-content !important;
    height: max-content !important;
}

p.tagAward {
    background: #a8a8a8;
background: linear-gradient(134deg,rgba(168, 168, 168, 1) 0%, rgba(219, 219, 219, 1) 27%, rgba(171, 171, 171, 1) 51%, rgba(219, 219, 219, 1) 74%, rgba(163, 163, 163, 1) 100%);
    border-radius: 0.8em;
    padding: 0.2em;
    padding-left: 0.6em;
    padding-right: 0.6em;
    color: black;
    width: max-content !important;
    height: max-content !important;
    text-wrap: wrap;
    max-width: 100%;
}

section.item img {
    max-height: 16em;
    position: absolute;
    transition-duration: 0.5s;
    max-width: 40%;
}

section.item img:first-of-type {
    right: 2em;
    top: -3em;
}

section.item img:nth-of-type(2) {
    right: 12em;
    top: 1em;
}

section.item:hover img:first-of-type {
    top: -5em;
}

section.item:hover img:nth-of-type(2) {
    top: -2em;
}

section.inProgress {
    padding: 1em;
    margin-bottom: 5em;
    width: 100dvw;
    max-width: 80em;
}

section.inProgress h2 {
    font-size: 2em;
    margin: 0;
}

section.inProgress h3 {
    font-weight: 400;
    margin: 0;
}

section.inProgress p:last-of-type {
    max-width: 35em;
}

.introduction h1 {
    opacity: 0;
    transform: translateX(-60px);
    animation: slideInLeftFade 1s cubic-bezier(0.4, 0.8, 0.2, 1) forwards;
}

@keyframes slideInLeftFade {
    0% {
        opacity: 0;
        transform: translateX(-60px);
    }

    50% {
        opacity: 0;
        transform: translateX(-60px);
    }

    100% {
        opacity: 1;
        transform: translateX(0);
    }
}

@media (max-width: 800px) {
    main>section:first-of-type {
        padding-left: 1em;
        padding-right: 1em;
        padding-top: 3em;
        padding-bottom: 2em;
        height: max-content;
    }

    main>a {
        margin-bottom: 4em;
    }

    h1 {
        font-size: 4em;
        margin-bottom: 0.2em
    }

    section.item {
        display: grid;
        grid-template-columns: max-content 1fr;
        grid-template-rows: max-content max-content 1fr;
        width: 95dvw;
        flex-direction: column;
        justify-content: center;
        align-items: start;
        text-align: center;
        column-gap: 1em;
        margin-inline-start: 1em;
        margin-inline-end: 1em;
    }

    section.item h2 {
        width: 100%;
        max-width: max-content;
        text-align: start;
        text-wrap: wrap;
    }

    section.item img {
        position: static;
        display: block;
        max-width: 30dvw;
        max-height: 30vh;
        margin-top: 1em;
        grid-row: 1/4;
        order: -1;
        margin: 0;
    }

    section.item p {
        width: 100%;
        max-width: 100%;
        text-align: start;
    }
}

@media (max-width: 500px) {
    main>a {
        margin-bottom: 2em;
    }

    section.item {
        display: flex;
        flex-direction: column;
    }

    section.item img {
        order: 1;
        max-width: 50dvw;
    }

    /* temporary patch */

    .moreTags .tagUi {
        margin-bottom: 0;
    }

    .moreTags .tagAward {
        margin-top: 0;
    }

    /* end */
}